Seznámení se programu OptimAccess EasyReport

Seznámení se s programen OptimAccess EasyReport

Program OptimAccess EasyReport nabízí velmi jednoduchou a pohodlnou možnost zjištění hardwarového a softwarového stavu stanice.

  • Instalace programu OptimAccess EasyReport.
  • Spouštění a ovládání programu OptimAccess EasyReport.


Instalace programu OptimAccess EasyReport

Postup instalace

  1. Před vlastní instalací programu OptimAccess EasyReport je doporučeno ukončit všechny běžící aplikace.
  2. Po spuštění instalačního programu se zobrazí úvodní dialog se základními informacemi. Po jeho přečtení pokračujte v instalaci stiskem tlačítka Další.
  3. Nyní si máte možnost vybrat adresáře, do kterého se má program OptimAccess EasyReport instalovat. Pokračujte stiskem tlačítka Další.
  4. V dalších dvou krocích si můžete zvolit do které složky v menu start chcete ovládací prostředí uložit a zda-li chcete vytvořit odkaz zástupce na ploše či na panelu "snadné spuštění". Pro pokračování stiskněte v obou případech tlačítko Další.
  5. Následuje dialog se souhrnými informacemi zvolené instalace a program OptimAccess EasyReport se začne instalovat po stisku tlačítka Instalovat.
  6. Po úspěšném nakopírování potřebných souborů a vytvoření potřebných odkazů se zobrazí závěrečný dialog ve které si můžete zvolit zda-li chcete po dokončení instalace spustit program OptimAccess EasyReport. Instalaci dokončíte stiskem tlačítka Dokončit.

Od tohoto okamžiku se proces instalace považuje za ukončený. Nyní jsou na pevném disku počítače nakopírovány všechny soubory potřebné pro korektní funkci programu OptimAccess EasyReport.


Spouštění programu OptimAccess EasyReport

Spouštění na stanici na které proběhla instalace

Spouštění programu OptimAccess EasyReport na stanici na které byl instalován lze provést pomocí menu start, případně přímo z plochy, nebo panelu "snadného spuštění", pokud tak byl instalační program nastaven ( viz Instalace programu OptimAccess EasyReport)

Spouštění na stanici na které neproběhla instalace

Program OptimAccess EasyReport lze spustit i na stanici, na které nebyl manuálně nainstalován. Pro toto je potřeba zpřístupnit této stanici adresář s nainstalovaným programem OptimAccess EasyReport. Toto zpřístupnění může být provedeno například pomocí standardní služby operačního systému Sdílení, nebo nakopírováním obsahu tohoto adresáře na výměnné médium. Samotný program se pak spouští pomocí souboru easyReport.exe

Po spuštění aplikace OptimAccess EasyReport se na obrazovce zobrazí dialog s úvodní uvítací obrazovkou


Aplikace OptimAccess® EasyReport: úvodní obrazovka

Po spuštění aplikace OptimAccess EasyReport se zobrazí úvodní obrazovka, na které se představí všechny moduly systému OptimAccess.

Pro pokračování stiskněte tlačítko Další


Aplikace OptimAccess EasyReport: výběr typu auditu

Na této obrazovce je možné zvolit typy auditů, které se budou provádět:

  • Softwarový audit - Prohledá všechna pevná úložiště dat na stanici a na základě zjištěných spustitelných souborů a systémových knihoven provede detekci software.
  • Hardwarový audit - Rozpoznává harwarová zařízení připojená ke stanici.

Pro pokračování stiskněte tlačítko Další
Pro návrat na úvodní obrazovku stiskněte tlačítko Zpět


Aplikace OptimAccess EasyReport: výběr tiskové sestavy

Na této obrazovce je možné zvolit typ tiskové sestavy která se má vygenerovat a akci která se s touto tiskovou sestavou má po jejím dokončení provést. Na výběr jsou následující akce:

  • Zobrazit v dostupném prohlížeči - Po vygenerování tiskové sestavy je zobrazena v nastaveném prohlížeči pro formát typu rtf.
  • Uložit do souboru typu rtf - Vygenerovaná tisková sestava se uloží do souboru typu rtf. V následujících kolonkách je možné definovat adresář a jméno souboru do kterého se takto vygenerovaná sestava uloží.

Pro pokračování stiskněte tlačítko Další
Pro návrat na výběr typu auditu stiskněte tlačítko Zpět


Aplikace OptimAccess EasyReport: provedení auditu

Před samotným provedením a zpracováním auditů je ješte na této obrazovce možné zvolit zda-li se má aplikace po dokončení automaticky zavřít.

Pro provedení a zpracování auditu stiskněte tlačítko Dokončit. V tomto okamžiku se zobrazi dialogové okno informující o průběhu auditu. Po provedení auditu se na zobrazí závěrečný dialog informující o dokončení auditu, případně je tento dialog přeskočen.

Pro návrat na výběr typu a zpracování tiskové sestavy stiskněte tlačítko Zpět


Konfigurace pomocí .ini souboru

V případě, že je požadováno mít v dialozích přednastaveny jiné hodnoty, než které jsou standardně nastaveny, je možné tyto hodnoty změnit editováním souboru oaEasyReport.ini, který je uložen v adresáři do kterého byla nainstalována aplikace OptimAccess EasyReport. Obsah souboru pak může například vypadat podle následujícího příkladu:

[setting]

;adresář kde jsou umístěny softwarové balíky
pkg = ".\coScanPkg\"

;reportAction - hodnota určuje akci, která se po provedení auditu s tiskovou sestavou provede
; 1 - uložení souboru
; 2 - zobrazení souboru
reportAction = 2

; jméno souboru do kterého se bude rtf soubor vytvářet
file = "swhw.%PCNAME%-%DATE%.rtf"

; jméno adresáře do kterého se uloží vygenerovaný rtf soubor
path = "\\server\oaReports\"

;typy auditů které se mají provést
swaudit = 1
hwaudit = 1

;zjišťovat dodatečné informace o hardwaru (verze driveru,...)
hwauditExtraInfo = 0

;typ tiskové sestavy, která se bude provádět
reportEquipment = 1

;v případě, že je nastaveno na 1 je aplikace po dokončení zvolených operací automaticky ukončena
closeAfterFinish = 1

;průběh prováděných auditů bude logován do tohoto souboru ve formátu, DATUM, JMENO STANICE, PROVADENA AKCE
;log = c:\oaEasyReport_Log.txt


Známé problémy programu OptimAccess EasyReport

Popis zatím známých a popsaných chyb a problémů s užíváním programu.
  • Na stanicích s operačním systémem Windows 9x a implicitním prohlížečem pro soubory typu rtf Microsoft Word 97 nelze po zobrazení tiskové sestavy korektně tuto aplikaci ukončit.